Bug 1409602 - CVE-2016-10040 qt: stack overflow in QXmlSimpleReader [fedora-all]
Summary: CVE-2016-10040 qt: stack overflow in QXmlSimpleReader [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-10040
TreeView+ depends on / blocked
 
Reported: 2017-01-02 15:17 UTC by Martin Prpič
Modified: 2018-05-31 09:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-31 09:26:12 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2017-01-02 15:17:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Than Ngo 2017-01-31 12:58:20 UTC
do we have an working testcase for this issue?

Comment 2 Martin Prpič 2017-02-02 09:12:57 UTC
(In reply to Ngo Than from comment #1)
> do we have an working testcase for this issue?

None that I know of, sorry.

Comment 3 Than Ngo 2017-04-04 09:39:08 UTC
I'm closing that bugzilla INSUFFICIENT_DATA because there's no testcase to reproduce this issue.  Feel free to reopen it once you find some way how to reproduce it.

Comment 7 Fedora End Of Life 2017-11-16 19:08:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Jan Kurik 2018-05-31 08:02:09 UTC
This bug has been reported against a Fedora version which is already unsuported.
In compliance with FESCo decision how to handle EOL of Security issues [1],
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

[1] https://pagure.io/fesco/issue/1736

Comment 9 Kevin Kofler 2018-05-31 09:26:12 UTC
This is already fixed by:
https://src.fedoraproject.org/cgit/rpms/qt.git/commit/?id=37a2aba837ee6a148cd3441a7ce82737e04d54ac

Unfortunately, the commit message misspells the CVE number (the last '0' is missing) and references the qt5 tracker for CVE-2016-10040 (bug #1409600) instead of this one. But it is clearly a fix for this issue.

Comment 10 Kevin Kofler 2018-05-31 09:29:25 UTC
The fix was pushed to Fedora 27 as part of:
https://bodhi.fedoraproject.org/updates/FEDORA-2017-77139c77d2

The fix was unfortunately never pushed to Fedora 26, but that has now reached its end of life.


Note You need to log in before you can comment on or make changes to this bug.